Subject: Re: [PATCH net-next] net: ovs: fix ovs_drop_reasons error

From: Jakub Kicinski <[email-masked]>
Date: Fri, 16 Aug 2024 18:01:04 -0700

On Thu, 15 Aug 2024 20:22:45 +0800 Menglong Dong wrote:
> I'm sure if I understand it correctly, but it seems that there is
> something wrong with ovs_drop_reasons.
> 
> ovs_drop_reasons[0] is "OVS_DROP_LAST_ACTION", but
> OVS_DROP_LAST_ACTION == __OVS_DROP_REASON + 1, which means that
> ovs_drop_reasons[1] should be "OVS_DROP_LAST_ACTION".
> 
> Fix this by initializing ovs_drop_reasons with index.
> 
> Fixes: 9d802da40b7c ("net: openvswitch: add last-action drop reason")
> Signed-off-by: Menglong Dong <[email-masked]>

Could you include output? Presumably from drop monitor?
I think it should go to net rather than net-next.
-- 
pw-bot: cr